Package org.eclipse.emf.cdo.common.util

## Interface CDOQueryInfo

- All Known Subinterfaces:
    `CDOQuery`

      public interface CDOQueryInfo

  Encapsulates all the transferable information that fully specifies a query from a `view` to a `repository`.
  Since:
    3.0
  Author:
    Simon McDuff
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `PARAM_DISABLE_RESPONSE_FLUSHING` | The name of a `Boolean` typed `parameter` to influence automatic response flushing (the default) after each query result.
    `static int` | `UNLIMITED_RESULTS` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `CDOChangeSetData` | `getChangeSetData()` | Returns the `change set` to be considered if this query has been created by a dirty transaction, `null` otherwise.
    `java.lang.Object` | `getContext()` | Returns the context object, or `null` if no context is bound.
    `int` | `getMaxResults()` | Returns the maximum number of results to retrieve or `UNLIMITED_RESULTS` for no limitation.
    `<T> T` | `getParameter​(java.lang.String name)` | Returns the value of the named parameter.
    `java.util.Map<java.lang.String,​java.lang.Object>` | `getParameters()` | Returns the parameters of this query as a map.
    `java.lang.String` | `getQueryLanguage()` | Returns the language identifier of this query, never `null`.
    `java.lang.String` | `getQueryString()` | Returns the query string of this query or `null` if no query string has been set.
    `boolean` | `isLegacyModeEnabled()` | Deprecated. As of 4.2 the legacy mode is always enabled.

- - ### Field Detail

    - #### UNLIMITED_RESULTS

          static final int UNLIMITED_RESULTS

      See Also:
        Constant Field Values

    - #### PARAM_DISABLE_RESPONSE_FLUSHING

          static final java.lang.String PARAM_DISABLE_RESPONSE_FLUSHING

      The name of a `Boolean` typed `parameter` to influence automatic response flushing (the default) after each query result.
      Since:
        4.2
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getQueryLanguage

          java.lang.String getQueryLanguage()

      Returns the language identifier of this query, never `null`.

    - #### getQueryString

          java.lang.String getQueryString()

      Returns the query string of this query or `null` if no query string has been set.

    - #### getParameters

          java.util.Map<java.lang.String,​java.lang.Object> getParameters()

      Returns the parameters of this query as a map.

    - #### getParameter

          <T> T getParameter​(java.lang.String name)

      Returns the value of the named parameter.
      Since:
        4.6

    - #### getContext

          java.lang.Object getContext()

      Returns the context object, or `null` if no context is bound.
      Since:
        4.0

    - #### getMaxResults

          int getMaxResults()

      Returns the maximum number of results to retrieve or `UNLIMITED_RESULTS` for no limitation.

    - #### isLegacyModeEnabled

          @Deprecated
          boolean isLegacyModeEnabled()

      Deprecated.
      As of 4.2 the legacy mode is always enabled.
      Returns `true` if the view of this query had legacy mode enabled at the time this query was created, `false` otherwise.
      Since:
        4.0

    - #### getChangeSetData

          CDOChangeSetData getChangeSetData()

      Returns the `change set` to be considered if this query has been created by a dirty transaction, `null` otherwise.
      Since:
        4.0